Subject: bug#12721: 24.2; package-installed-p behavior on emacs startup

From: Stefan Monnier <[email-masked]>
Date: Wed, 24 Oct 2012 13:53:37 -0400

> (require 'package)
> (message "**** auto-complete is installed: %s ****" (package-installed-p
> 'auto-complete))

IIUC rather than (require 'package) you need to (package-initialize).

        Stefan